summaryrefslogtreecommitdiffstats
path: root/desktop/lxshortcut/lxshortcut.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/lxshortcut/lxshortcut.SlackBuild')
-rw-r--r--desktop/lxshortcut/lxshortcut.SlackBuild25
1 files changed, 11 insertions, 14 deletions
diff --git a/desktop/lxshortcut/lxshortcut.SlackBuild b/desktop/lxshortcut/lxshortcut.SlackBuild
index 2cecb09cdb..0c8585abf8 100644
--- a/desktop/lxshortcut/lxshortcut.SlackBuild
+++ b/desktop/lxshortcut/lxshortcut.SlackBuild
@@ -22,42 +22,42 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
-# Slackware SlackBuild script
+# Slackware SlackBuild script
# ===========================
# By: Eric Hameleers <alien@slackware.com>
# For: lxshortcut
# Descr: an easy way to edit application shortcuts
# URL: http://lxde.sourceforge.net/
-# Needs:
-# Changelog:
+# Needs:
+# Changelog:
# 0.1.1-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 20100905_132b97e 12/sep/2010 by ponce <matteo.bernardini@gmail.com>
# * Adapted to slackbuilds.org's autotools template.
# * updated to git snapshot.
-#
+# 0.1.2-1 27/dec/2011 by ponce <matteo.bernardini@gmail.com>
+# * update.
+#
# Run 'sh lxshortcut.SlackBuild' to build a Slackware package.
# The package is created in /tmp .
-# Install using 'installpkg'.
+# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
PRGNAM=lxshortcut
-VERSION=${VERSION:-20100905_132b97e}
+VERSION=${VERSION:-0.1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
-DOCS="AUTHORS COPYING ChangeLog NEWS README TODO"
+DOCS="AUTHORS COPYING ChangeLog NEWS README"
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -93,7 +93,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-sh autogen.sh
+sh autogen.sh || true
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
@@ -102,7 +102,6 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--sysconfdir=/etc \
- --mandir=/usr/man \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux
@@ -111,10 +110,8 @@ make install-strip DESTDIR=$PKG
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc